# Uses of Class
javajs.util.DataReader

Packages that use DataReader
Package
Description
javajs.util
org.jmol.api
org.jmol.io

## Uses of DataReader in javajs.util

Subclasses of DataReader in javajs.util
Modifier and Type
Class
Description
`class`
`ArrayDataReader`
ArrayDataReader subclasses BufferedReader and overrides its read, readLine, mark, and reset methods so that JmolAdapter works with String[] arrays without any further adaptation.
`class`
`ListDataReader`
VectorDataReader subclasses BufferedReader and overrides its read, readLine, mark, and reset methods so that JmolAdapter works with Vector<String> arrays without any further adaptation.
`class`
`StringDataReader`
Methods in javajs.util that return DataReader
Modifier and Type
Method
Description
`DataReader`
ArrayDataReader.`setData(Object data)`
`abstract DataReader`
DataReader.`setData(Object data)`
`DataReader`
ListDataReader.`setData(Object data)`
`DataReader`
StringDataReader.`setData(Object data)`

## Uses of DataReader in org.jmol.api

Methods in org.jmol.api with parameters of type DataReader
Modifier and Type
Method
Description
`void`
JmolFilesReaderInterface.`set(FileManager fileManager, Viewer vwr, String[] fullPathNames, String[] namesAsGiven, String[] fileTypes, DataReader[] readers, Map<String,Object> htParams, boolean isAppend)`

## Uses of DataReader in org.jmol.io

Methods in org.jmol.io with parameters of type DataReader
Modifier and Type
Method
Description
`void`
FilesReader.`set(FileManager fileManager, Viewer vwr, String[] name, String[] nameAsGiven, String[] types, DataReader[] readers, Map<String,Object> htParams, boolean isAppend)`